Page MenuHomePhabricator

Send out call for giving consent in Zynatic
Closed, ResolvedPublic

Description

At the time of creating this task 238 of our members have paid their 2018 membership fee but not logged in and given their consent (needed for GDPR).

We should e-mail* out a reminder encouraging them to do so and explaining why it is important (ideally with a reference to T189097: Policy for members lacking essential information or consents).

Since we cannot automatise the e-mailing of usernames and passwords we should instead refer them to earlier e-mails as well as sending them their membership number and point them to medlem.wikimedia .seHar du glömt lösenordetange medlemsnummer (ändra användarnamn till medlemsnummer)ange e-post (den dit detta mail skickades)Skicka säkerhetskod.

As part of this we should also ensure that everyone fills out there birth dates (since this is needed to ensure under-aged members are handled appropriately). Note that there are 6 members who have given consent but not entered their birth dates (@Lokal_Profil has the list). These need to be contacted in a separate effort.

14 of these do not have e-mail in our system. We need to figure out how to deal with them as well.

Event Timeline

Lokal_Profil triaged this task as High priority.May 7 2018, 10:19 AM
Lokal_Profil created this task.
Jopparn moved this task from Backlog to This week on the User-LokalProfil board.May 14 2018, 8:49 AM

New task?

I would keep the task but record the description (It is the same task but the purpose has morphed as we learned more)

Lokal_Profil updated the task description. (Show Details)May 21 2018, 1:57 PM

3 messages sent

  • 420 members have been informed about our new Privacy policy. And how they can manage their personal data.
  • 4 members registered as minors have been informed about our policy and requested to check their personal data if wrong.
  • 120 previous members still in our member management system have been informed about our routine for deleting personal data and the new policy.

Documentation

All messages are available on our wiki.

Lokal_Profil closed this task as Resolved.May 25 2018, 10:00 AM
Lokal_Profil claimed this task.
Lokal_Profil moved this task from This week to Done on the User-LokalProfil board.
SaraMortsell reopened this task as Open.May 31 2018, 7:47 AM

Follow up

  • Members or previous members with e-mails at comhem (10 members ish) did not receive the message from Zynatic.
  • One other member with a separate email server did not receive the message either.

Hmm, any ideas why Comhem didn't get it? Perhaps we could try sending out the email directly from info [at] wikimedia.se to them?

Jopparn moved this task from Backlog to Watching on the User-Jopparn board.

Might be related to T186207 which has since been fixed.

Follow up

  • Members or previous members with e-mails at comhem (10 members ish) did not receive the message from Zynatic.

Looks like ComHem requires DKIM validation which we don't have (not yet super common). I'll look into what the possibilities are for setting this up.

  • One other member with a separate email server did not receive the message either.

This looks like a bouncing address. Has been removed from the system

So I can add DKIM for e-mails sent out via GSuite (testing with offentligkonst.se before roling out for wikimedia.se) but for Zynatic they would first have to implement it on their side

Lokal_Profil added a comment.EditedJun 28 2018, 1:12 PM

I've made a trial posting to the one non-member of the comhem cohort. Fingers crossed that the earlier T186207: Check SPF/DKIM settings (was Make Zynatic and e-mail server play nice using SPF) fix allows this to go through.

Edit:
I posted again to the rest as well. Since DKIM is not possible yet SPF will either work or not.

Vvjjkkii renamed this task from Send out call for giving consent in Zynatic to yhdaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii removed Lokal_Profil as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Lokal_Profil closed this task as Resolved.EditedJul 3 2018, 4:48 PM

The new deliveries reached at least one of the comhem addresses.

Jopparn moved this task from Watching to Done on the User-SaraMortsell board.Aug 6 2018, 1:56 PM
Jopparn moved this task from Backlog to Done on the User-Evelina-Bang-WMSE board.May 6 2019, 12:34 PM
Jopparn moved this task from Watching to Done on the User-Jopparn board.May 13 2019, 1:28 PM